#require 'rubygems'
#require 'bundler'
#require 'zookeeper'
#require 'eventmachine'
require 'sinatra/base'


class HelloApp < Sinatra::Base
  # threaded - False: Will take requests on the reactor thread
  #            True:  Will queue request for background thread
  configure do
    set :threaded, false
  end
  
  #def initialize
    #@@list = nil
    #puts "initial1111"
  #end

  # Request runs on the reactor thread (with threaded set to false)
  get '/hello' do
    # "Hello World list -> #{@@list}"
    "server_list -> #{$global_server_list}
    <br>
    <br>
    config -> #{$global_idservice_thrift_config}
    "
    #p self
  end

  # Request runs on the reactor thread (with threaded set to false)``
  # and returns immediately. The deferred task does not delay the
  # response from the web-service.
  get '/delayed-hello' do
    EM.defer do
      sleep 5
    end
    p 'I\'m doing work in the background, but I am still free to take requests'
  end
end